﻿@model  Select2AutomacoesViewModel

@*<div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5")">*@
    <div id="@string.Concat(Model.idControleSelect2, "Container")" ></div>
@*</div>*@


<script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2Automacoes/ObterDescricoesAutomacoes")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMFNT";
                textoInicial = "Selec. uma Automação";
                jsonTexto = "NOMFNT";
                jsonValor = "CODEMPAUT";
                caracteresMinimos = 0;
                tamanho = '40%';                
			}
			inicializar(null);
		}
    });

</script>
